Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1056138 - Fedora avrdude-5.11 is obsolete
Summary: Fedora avrdude-5.11 is obsolete
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: avrdude
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Hans Ulrich Niedermann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-21 14:53 UTC by Juergen Harms
Modified: 2014-06-22 23:54 UTC (History)
4 users (show)

Fixed In Version: avrdude-6.1-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-05 04:57:17 UTC


Attachments (Terms of Use)
Tested example of a spec file for avrdude 6.0.1 (deleted)
2014-01-21 14:53 UTC, Juergen Harms
no flags Details
File containing rules for udev (deleted)
2014-01-21 14:55 UTC, Juergen Harms
no flags Details

Description Juergen Harms 2014-01-21 14:53:18 UTC
Created attachment 853291 [details]
Tested example of a spec file for avrdude 6.0.1

Description of problem:

1. A new version of avrdude is available since Sept. 2013 and has made its
   proofs. It offers substantial enhancements with respect to 5.11.1, and it
   allows the use of new programmers and adds support for new types of 
   microprocessors (http://savannah.nongnu.org/forum/forum.php?forum_id=7719).
   The support of the JTAGICE3 programmer is a particularly important feature,
   since this is a cheaper and more efficient successor of the very popular
   JTAGMKII ICE.

2. Presently, the usb interface of avrdude cannot be used by non-priviledged
   users since the corresponding definitions are lacking in the udev rules -
   several threads in the forum complain about this issue.

I suggest to (1) make avrdude 6.0.1 available in Fedora and to (2) include in the corresponding rpm package the introduction of the required udev rules. Since
this is a more or less trivial upgrade, I have built and tested such a package locally - hoping that this will facilitate the implementation suggested. I append the spec file and the file with the udev rules as attachments. 


Version-Release number of selected component (if applicable): avrdude 5.11.1-5


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Juergen Harms 2014-01-21 14:55:24 UTC
Created attachment 853303 [details]
File containing rules for udev

Comment 2 Juergen Harms 2014-01-27 08:30:05 UTC
I just realized: the attached package lacks a "require" for libftdi

(and sorry, I wanted the tone of the report to be short and precise - did not intend to have it look "snappy")

Comment 3 Palle Ravn 2014-02-23 21:22:01 UTC
It also includes a lot of improvements for the xmega devices and the mkII ISPs, which is important to program those devices. The new version would be appreciated very much, sooner than later.

Comment 4 Hans de Goede 2014-02-23 21:30:10 UTC
Hi Juergen,

Note I'm not speaking on behalf of the Hans who is actually the package maintainer here, but in my mind it would be good for avrdude to have an active co-maintainer. Are you already a Fedora packager ? And if so would you be interested in co-maintaining avrdude ?

Regards,

Hans

Comment 5 Juergen Harms 2014-02-25 15:09:24 UTC
Hi everybody,

I am still between distros. When I had submitted this bug, I thought that I had definitively decided for Fedora. In the meantime, I have reversed my decision (lost my Fedora partion simply by overwriting the bootstrap vector updating my old OS on another partition, and no way to recover the Fedora bootstrap record. Invested a lot of time googling and exploring workarounds - if I remember right, the fundamental problem lies in the implementation of where the bootstrap is stored - write-protection appears to be a concrete wall). 

This incident made be reflect on priorities: with application problems, I can most times survive with doit yourself hacking - with OS solidity I depend nearly 100% on the distro gurus. Fedora is certainly superior where applications are concerned - but I realised that the priority argument speaks against a switch. Sorry.

I consider that filing a bug implies a committment - that I will respect (will remake a Fedora partition one of these days).

Cheers, Juergen

Just freewheeling on this kind of reflection: many maintenance problems of application software are distro-overlapping - at least within the red-hat family. Could that be constructively exploited beyond the looking-over-the-fence that is anyhow done?

Comment 6 Hans de Goede 2014-03-08 15:47:15 UTC
Hi all,

Since I once upon a time was a frequent avrdude user, I still care for it, so I've gone ahead and done the update using Juergs work a sa basis.

Now a days however I don't have any avr devices anymore, so I've been unable to test this. Therefor I'm only going to build this for F-20+, and I'll put in a high treshold for auto pushing and a low one for auto unpush for the update for F-20.

Regards,

Hans

Comment 7 Fedora Update System 2014-03-08 16:08:55 UTC
avrdude-6.0.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/avrdude-6.0.1-1.fc20

Comment 8 Fedora Update System 2014-03-09 04:44:54 UTC
Package avrdude-6.0.1-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing avrdude-6.0.1-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-3662/avrdude-6.0.1-1.fc20
then log in and leave karma (feedback).

Comment 9 Jaromír Cápík 2014-03-11 15:43:55 UTC
Hi guys.

I was about to ask Hans (owner) whether he has already started to work on the update, but it seems you were faster. I can also test the new version as I'm the only avrdude comaintainer at the moment. I do have AVR microcontrollers at home.

Cheers,
Jaromir.

Comment 10 Hans de Goede 2014-03-11 15:46:36 UTC
Hi Jaromir.

Note I'm not the owner of avrdude, I'm not even a co-maintainer any more these days. Just a proven packager with an interest in keeping avrdude in good shape :)

Regards,

Hans

Comment 11 Jaromír Cápík 2014-03-11 16:13:09 UTC
Hi Hans.

I know. That's why I used the brackets to distinguish between you and Hans Ulrich Niedermann, who has the same first name like you :)
Newer doesn't always mean better, but hopefully in this case it will be.

J.

Comment 12 Fedora Update System 2014-04-05 04:57:17 UTC
avrdude-6.0.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Juergen Harms 2014-06-07 20:08:50 UTC
There is a new issue re using avrdude in support of the JTAGICE3 that might be of interest here:

The usb interface of JTAGICE3 stops working with avrdude-6.0.1 when its firmware is upgraded (upgraded with AtmelStudio versions above and including 6.1) - or when the ice comes shipped with such an upgrade. Avrdude-6.1 (released 12-Mar-2014) fixes that problem. This means that yet another upgrade is necessary

On Mageia-4, however, avrdude-6.1 does not build due to a missing definition of uint32_t: the file "configure" misses a series of includes. Very likely the same problem will appear in other distros. A corresponding bug has been filed, as well as a patch file that fixes this bug ( http://savannah.nongnu.org/bugs/?42517 ).

I locally built an rpm package that includes this patch on my Mageia-4 system and use it in production (need to since I did the firmware upgrade), it will be the base for what will go into Mageia-5.

Mutatis mutandis the spec file of 6.0.1 can be re-used, with one small issue, possibly Mageia-specific: since the patch modifies the "configure" script, I had to modify the spec-file and drop a call to "autoreconf" that is made prior to the call of the %configure macro. In case you want to have a look at the spec-file, tell me (it will only go to the Mageia repository once the first alpha release of Mageia-5 is available some time beginning of July).

Regards, Juergen

Comment 14 Hans de Goede 2014-06-14 07:23:18 UTC
(In reply to Juergen Harms from comment #13)
> There is a new issue re using avrdude in support of the JTAGICE3 that might
> be of interest here:
> 
> The usb interface of JTAGICE3 stops working with avrdude-6.0.1 when its
> firmware is upgraded (upgraded with AtmelStudio versions above and including
> 6.1) - or when the ice comes shipped with such an upgrade. Avrdude-6.1
> (released 12-Mar-2014) fixes that problem. This means that yet another
> upgrade is necessary
> 
> On Mageia-4, however, avrdude-6.1 does not build due to a missing definition
> of uint32_t: the file "configure" misses a series of includes. Very likely
> the same problem will appear in other distros. A corresponding bug has been
> filed, as well as a patch file that fixes this bug (
> http://savannah.nongnu.org/bugs/?42517 ).
> 
> I locally built an rpm package that includes this patch on my Mageia-4
> system and use it in production (need to since I did the firmware upgrade),
> it will be the base for what will go into Mageia-5.

Thanks for the input. I've prepared an update to 6.1 for F-20, so that our users won't be hit by thefirmware upgrade issue.

Comment 15 Fedora Update System 2014-06-14 08:16:26 UTC
avrdude-6.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/avrdude-6.1-1.fc20

Comment 16 Fedora Update System 2014-06-22 23:54:32 UTC
avrdude-6.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.